package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description :
 */
@Data
public class GameCategoryParentVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(notes = "名称")
    private String name;

    /**
     * 是否父标签
     */
    @ApiModelProperty(notes = "是否父标签")
    private Boolean isParent;

    /**
     * 父分类id(顶层游戏分类为0)
     */
    @ApiModelProperty(notes = "是否父标签")
    private Long parentId;
}
